summaryrefslogtreecommitdiff
path: root/grpc/tools/internal_ci/linux/grpc_distribtests_gcp_python.sh
diff options
context:
space:
mode:
Diffstat (limited to 'grpc/tools/internal_ci/linux/grpc_distribtests_gcp_python.sh')
-rwxr-xr-xgrpc/tools/internal_ci/linux/grpc_distribtests_gcp_python.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/grpc/tools/internal_ci/linux/grpc_distribtests_gcp_python.sh b/grpc/tools/internal_ci/linux/grpc_distribtests_gcp_python.sh
new file mode 100755
index 00000000..883739cb
--- /dev/null
+++ b/grpc/tools/internal_ci/linux/grpc_distribtests_gcp_python.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+# Copyright 2021 The gRPC Authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+# avoid slow finalization after the script has exited.
+source $(dirname $0)/../../../tools/internal_ci/helper_scripts/move_src_tree_and_respawn_itself_rc
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+source tools/internal_ci/helper_scripts/prepare_build_linux_rc
+
+# some distribtests use a pre-registered binfmt_misc hook
+# to automatically execute foreign binaries (such as aarch64)
+# under qemu emulator.
+source tools/internal_ci/helper_scripts/prepare_qemu_rc
+
+# configure ccache
+source tools/internal_ci/helper_scripts/prepare_ccache_rc
+
+# Build all python linux artifacts (this step actually builds all the binary wheels and source archives)
+tools/run_tests/task_runner.py -f artifact linux python latest-manylinux ${TASK_RUNNER_EXTRA_FILTERS} -j 12 -x build_artifacts/sponge_log.xml || FAILED="true"
+
+# the next step expects to find the artifacts from the previous step in the "input_artifacts" folder.
+rm -rf input_artifacts
+mkdir -p input_artifacts
+cp -r artifacts/* input_artifacts/ || true
+rm -rf artifacts_from_build_artifacts_step
+mv artifacts artifacts_from_build_artifacts_step || true
+
+# This step simply collects python artifacts from subdirectories of input_artifacts/ and copies them to artifacts/
+tools/run_tests/task_runner.py -f package linux python -x build_packages/sponge_log.xml || FAILED="true"
+
+# the next step expects to find the artifacts from the previous step in the "input_artifacts" folder.
+# in addition to that, preserve the contents of "artifacts" directory since we want kokoro
+# to upload its contents as job output artifacts
+rm -rf input_artifacts
+mkdir -p input_artifacts
+cp -r artifacts/* input_artifacts/ || true
+
+INPUT_ARTIFACTS=$(realpath input_artifacts)
+
+(yes || true) | gcloud components update
+
+# TODO(rbellevi): Run in a docker image.
+test/distrib/gcf/python/run.sh "$INPUT_ARTIFACTS"
+
+tools/internal_ci/helper_scripts/store_artifacts_from_moved_src_tree.sh
+
+if [ "$FAILED" != "" ]
+then
+ exit 1
+fi